<h1 align="center">
  <img src="https://i.imgur.com/rr3Otln.png" alt="ui stack logo" title="UI Stack logo">
  <br>
</h1>
<p align="center" style="font-size: 1.2rem;">:mag: A Chrome extension that lets you inspect a website's framework and libraries</p>

<h1 align="center">
  <img src="https://i.imgur.com/qqGLEFs.png" alt="example screenshot" title="Example screenshot">
  <br>
</h1>

# How to install?

[![Install from chrome web store](https://developer.chrome.com/webstore/images/ChromeWebStore_Badge_v2_340x96.png)](https://chrome.google.com/webstore/detail/ui-stack/ijagbooglignnjecmjnmdfapfbgblkdk)

You can install the extension from the [Chrome Web Store](https://chrome.google.com/webstore/detail/ui-stack/ijagbooglignnjecmjnmdfapfbgblkdk)

You can also install it locally by cloning this repo and following the [official tutorial](https://developer.chrome.com/extensions/getstarted#unpacked)

# Contribution

1. Clone this repository
2. Run `yarn install` to fetch dependencies and `yarn build` to start the build script
3. Open the `src/checks/index.ts` file and add your own checker function
4. Open `src/checker.ts` and add your function to the list
5. Make sure your code works
6. Make a pull request :rocket:

# Support

<h1 align="center">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/amcharts.png" alt="amcharts" title="amCharts">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/amp.png" alt="amp" title="AMP">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/angular.png" alt="angular" title="Angular">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/angularjs.png" alt="angularjs" title="AngularJS">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/anime.png" alt="anime" title="anime">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/aurelia.png" alt="aurelia" title="Aurelia">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/backbone.png" alt="backbone" title="Backbone.js">
    <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/bootstrap.png" alt="bootstrap" title="Bootstrap">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/chartjs.png" alt="chartjs" title="Chart.js">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/clojurescript.png" alt="clojurescript" title="ClojureScript">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/cyclejs.png" alt="cyclejs" title="Cycle.js">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/d3.png" alt="d3" title="D3.js">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/dio.png" alt="dio" title="DIO">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/dojo.png" alt="dojo" title="Dojo">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/echarts.png" alt="echarts" title="ECharts">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/elm.png" alt="elm" title="Elm">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/ember.png" alt="ember" title="Ember.js">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/emotion.png" alt="emotion" title="emotion">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/enyo.png" alt="enyo" title="Enyo">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/epoch.png" alt="epoch" title="Epoch">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/extjs.png" alt="extjs" title="Ext JS">
    <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/foundation.png" alt="foundation" title="Foundation">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/gatsby.png" alt="gatsby" title="Gatsby">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/glamorous.png" alt="glamorous" title="glamorous">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/handlebars.png" alt="handlebars" title="Handlebars">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/highcharts.png" alt="highcharts" title="Highcharts">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/immutable.png" alt="immutable" title="Immutable">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/inferno.png" alt="inferno" title="Inferno">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/jquery.png" alt="jquery" title="jQuery">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/jqueryui.png" alt="jqueryui" title="jQuery UI">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/kendoui.png" alt="kendoui" title="KendoUI">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/knockback.png" alt="knockback" title="Knockback.js">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/knockout.png" alt="knockout" title="Knockout">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/lodash.png" alt="lodash" title="Lodash">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/maquette.png" alt="maquette" title="Maquette">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/marionette.png" alt="marionette" title="Marionette">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/marko.png" alt="marko" title="Marko">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/materialize.png" alt="materialize" title="Materialize">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/meteor.png" alt="meteor" title="Meteor">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/mithril.png" alt="mithril" title="Mithril">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/mobx.png" alt="mobx" title="MobX">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/modernizr.png" alt="modernizr" title="Modernizr">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/moment.png" alt="moment" title="Moment.js">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/moon.png" alt="moon" title="Moon">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/mootools.png" alt="mootools" title="MooTools">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/nextjs.png" alt="nextjs" title="Next.js">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/p5.png" alt="p5" title="p5.js">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/phaser.png" alt="phaser" title="Phaser">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/pixijs.png" alt="pixijs" title="PixiJS">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/polymer.png" alt="polymer" title="Polymer">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/preact.png" alt="preact" title="Preact">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/purescript.png" alt="purescript" title="PureScript">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/ractive.png" alt="ractive" title="Ractive">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/radium.png" alt="radium" title="Radium">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/raphael.png" alt="raphael" title="Raphaël">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/react.png" alt="react" title="React">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/reason.png" alt="reason" title="Reason">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/requirejs.png" alt="requirejs" title="RequireJS">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/riot.png" alt="riot" title="Riot">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/scalajs.png" alt="scalajs" title="Scala.js">
    <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/semanticui.png" alt="semanticui" title="Semantic UI">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/socketio.png" alt="socketio" title="socket.io">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/styledcomponents.png" alt="styledcomponents" title="styled-components">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/svelte.png" alt="svelte" title="Svelte">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/ui5.png" alt="ui5" title="UI5">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/uikit.png" alt="uikit" title="UIkit">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/vue.png" alt="vue" title="Vue">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/webix.png" alt="webix" title="webix">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/webpack.png" alt="webpack" title="Webpack">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/whsjs.png" alt="whsjs" title="whs.js">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/yalla.png" alt="yalla" title="YallaJS">
  <img src="https://raw.githubusercontent.com/gigobyte/ui-stack/master/images/yui.png" alt="yui" title="YUI">
  <br />
</h1>
